> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create an organization



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi post /auth/organization/create
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /auth/organization/create:
    post:
      tags:
        - Organization Management
      summary: Create Organization
      description: Create an organization
      operationId: createOrganization
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the organization
                slug:
                  type: string
                  description: The slug of the organization
                userId:
                  type: string
                  description: >-
                    The user id of the organization creator. If not provided,
                    the current user will be used. Should only be used by admins
                    or when called by the server. server-only. Eg: "user-id"
                  nullable: true
                logo:
                  type: string
                  description: The logo of the organization
                  nullable: true
                metadata:
                  type: string
                  description: The metadata of the organization
                  nullable: true
                keepCurrentActiveOrganization:
                  type: boolean
                  description: >-
                    Whether to keep the current active organization active after
                    creating a new one. Eg: true
                  nullable: true
                description:
                  type: string
                  nullable: true
              required:
                - name
                - slug
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Organization'
                type: object
                description: The organization that was created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
          description: >-
            Bad Request. Usually due to missing parameters, or invalid
            parameters.
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
          description: Unauthorized. Due to missing or invalid authentication.
        '403':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Forbidden. You do not have permission to access this resource or to
            perform this action.
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: Not Found. The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Too Many Requests. You have exceeded the rate limit. Try again
            later.
        '500':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Internal Server Error. This is a problem with the server that you
            cannot fix.
      security:
        - bearerAuth: []
components:
  schemas:
    Organization:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        slug:
          type: string
        logo:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        metadata:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      required:
        - name
        - slug
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````